> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment methods for a customer

> This endpoint shows all payment methods for a customer.  Must pass at least one filter to select
 a specific customer



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/payment-method/list
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/payment-method/list:
    get:
      tags:
        - Payment Method management
      summary: List payment methods for a customer
      description: >-
        This endpoint shows all payment methods for a customer.  Must pass at
        least one filter to select
         a specific customer
      operationId: listPaymentMethodsForACustomer
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    phone:
                      type: string
                      description: Phone number of the customer. Must be in e.164 format.
                      example: '+15551237890'
                    uuid:
                      type: string
                      description: UUID of the customer. Must be in uuid format.
                      example: 3c37db03-dc71-4e8b-90e7-6668290b7c3d
                    email:
                      type: string
                      description: Email of the customer. Must be in rfc compliant.
                      example: an-email@domain.com
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 1
                      type: cc
                      token: B6EXEPCIC8WGK63Y19RE5222
                      first_name: Lisa
                      last_name: 'Wallow '
                      cc_name_on_card: Lisa Wallow
                      cc_last_four: '5222'
                      cc_expiration_date: 08/2028
                      cc_brand: Visa
                      status: New
                      status_date: '2026-04-20 08:32:30'
                      enabled: true
                      default: false
                      addr1: 1504 Minnesota Ave
                      addr2: ''
                      addr3: null
                      city: Kenner
                      state: LA
                      zip: '30534'
                    - id: 1
                      type: cc
                      token: B6EXEPCIC8WGK63Y19RE5222
                      first_name: Lisa
                      last_name: 'Wallow '
                      cc_name_on_card: Lisa Wallow
                      cc_last_four: '5222'
                      cc_expiration_date: 08/2028
                      cc_brand: Visa
                      status: New
                      status_date: '2026-04-20 08:32:30'
                      enabled: true
                      default: false
                      addr1: 1504 Minnesota Ave
                      addr2: ''
                      addr3: null
                      city: Kenner
                      state: LA
                      zip: '30534'
                  links:
                    prev: null
                    next: null
                  meta:
                    path: /
                    per_page: 15
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 1
                        type: cc
                        token: B6EXEPCIC8WGK63Y19RE5222
                        first_name: Lisa
                        last_name: 'Wallow '
                        cc_name_on_card: Lisa Wallow
                        cc_last_four: '5222'
                        cc_expiration_date: 08/2028
                        cc_brand: Visa
                        status: New
                        status_date: '2026-04-20 08:32:30'
                        enabled: true
                        default: false
                        addr1: 1504 Minnesota Ave
                        addr2: ''
                        addr3: null
                        city: Kenner
                        state: LA
                        zip: '30534'
                      - id: 1
                        type: cc
                        token: B6EXEPCIC8WGK63Y19RE5222
                        first_name: Lisa
                        last_name: 'Wallow '
                        cc_name_on_card: Lisa Wallow
                        cc_last_four: '5222'
                        cc_expiration_date: 08/2028
                        cc_brand: Visa
                        status: New
                        status_date: '2026-04-20 08:32:30'
                        enabled: true
                        default: false
                        addr1: 1504 Minnesota Ave
                        addr2: ''
                        addr3: null
                        city: Kenner
                        state: LA
                        zip: '30534'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                          description: 'The ID of the Payment Method. Example: 12345'
                        type:
                          type: string
                          example: cc
                          description: 'The type of the Payment Method. Example: cc'
                        token:
                          type: string
                          example: B6EXEPCIC8WGK63Y19RE5222
                          description: 'The token of the Payment Method. Example: xxxxxxxx'
                        first_name:
                          type: string
                          example: Lisa
                          description: 'The first name of the customer. Example: John'
                        last_name:
                          type: string
                          example: 'Wallow '
                          description: 'The last name of the customer. Example: Doe'
                        cc_name_on_card:
                          type: string
                          example: Lisa Wallow
                          description: 'The name on the card. Example: John Doe'
                        cc_last_four:
                          type: string
                          example: '5222'
                          description: 'The last four digits of the card. Example: 1234'
                        cc_expiration_date:
                          type: string
                          example: 08/2028
                          description: 'The expiration date of the card. Example: 01/2025'
                        cc_brand:
                          type: string
                          example: Visa
                          description: 'The brand of the card. Example: Visa'
                        status:
                          type: string
                          example: New
                          description: 'The status of the Payment Method. Example: New'
                        status_date:
                          type: string
                          example: '2026-04-20 08:32:30'
                          description: >-
                            The date the Payment Method was created. Example:
                            2024-12-08 05:00:04
                        enabled:
                          type: boolean
                          example: true
                          description: >-
                            Whether the Payment Method is enabled or not.
                            Example: true
                        default:
                          type: boolean
                          example: false
                          description: >-
                            Whether the Payment Method is default or not.
                            Example: true
                        addr1:
                          type: string
                          example: 1504 Minnesota Ave
                          description: 'Address Line One. Example: 123 First St.'
                        addr2:
                          type: string
                          example: ''
                          description: 'Address Line Two. Example: Suite 111'
                        addr3:
                          type: string
                          example: null
                          description: 'Address Line Three. Example: Suite 111'
                        city:
                          type: string
                          example: Kenner
                          description: 'City name. Example: Alpharetta'
                        state:
                          type: string
                          example: LA
                          description: 'Two character State. Example: GA'
                        zip:
                          type: string
                          example: '30534'
                          description: 'Zip code. Example: 30009'
                  links:
                    type: object
                    properties:
                      prev:
                        type: string
                        example: null
                        nullable: true
                      next:
                        type: string
                        example: null
                        nullable: true
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
        '401':
          description: Token permission error
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Permission denied
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Permission denied
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Customer not found
                    type: object
                    example:
                      data:
                        message: Customer not found.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Customer not found.
                  - description: No such Merchant
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````